- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
qi::ApplicationSession::Config Class Reference

`#include <applicationsession.hpp>`

## Public Member Functions
| Config ()
| ~Config ()
Config & | setDefaultStandAlone (bool standAlone)
bool | defaultStandAlone () const
Config & | setStandalone (bool standalone)
bool | standalone () const
Config & | setOption (ApplicationSession::Option opt)
ApplicationSession::Option | option () const
Config & | setDefaultUrl (const Url &connectUrl)
const Url & | defaultUrl () const
Config & | setConnectUrl (Url connectUrl)
const boost::optional< Url > & | connectUrl () const
Config & | setDefaultListenUrl (const Url &listenUrl)
const Url & | defaultListenUrl () const
Config & | addListenUrl (Url listenUrl)
Config & | setListenUrls (std::vector< Url > listenUrls)
const std::vector< Url > & | listenUrls () const
Config & | setSessionConfig (SessionConfig sessConfig)
const SessionConfig & | sessionConfig () const
Config & | setName (const std::string &name)
const std::string & | name () const

## Detailed Description

This class is used to set configuration of the ApplicationSession

Definition at line 44 of file applicationsession.hpp.

## Constructor & Destructor Documentation

qi::ApplicationSession::Config::Config | ( |  | ) |

qi::ApplicationSession::Config::~Config | ( |  | ) |

## Member Function Documentation

Config& qi::ApplicationSession::Config::addListenUrl | ( | Url | listenUrl | ) |

const boost::optional<Url>& qi::ApplicationSession::Config::connectUrl | ( |  | ) | const

const Url& qi::ApplicationSession::Config::defaultListenUrl | ( |  | ) | const

bool qi::ApplicationSession::Config::defaultStandAlone | ( |  | ) | const

const Url& qi::ApplicationSession::Config::defaultUrl | ( |  | ) | const

const std::vector<Url>& qi::ApplicationSession::Config::listenUrls | ( |  | ) | const

const std::string& qi::ApplicationSession::Config::name | ( |  | ) | const

ApplicationSession::Option qi::ApplicationSession::Config::option | ( |  | ) | const

const SessionConfig& qi::ApplicationSession::Config::sessionConfig | ( |  | ) | const

Config& qi::ApplicationSession::Config::setConnectUrl | ( | Url | connectUrl | ) |

Config& qi::ApplicationSession::Config::setDefaultListenUrl | ( | const Url & | listenUrl | ) |

Set default url to listen to If –qi-listen-url is set the session will listen on the provided url.

Config& qi::ApplicationSession::Config::setDefaultStandAlone | ( | bool | standAlone | ) |

Set default value of standAlone if defaultUrl is set this function will throw. If –qi-standalone is set the session will automatically be standalone.

Config& qi::ApplicationSession::Config::setDefaultUrl | ( | const Url & | connectUrl | ) |

Set default url to connect to If –qi-url is set the session will connect on the provided url.

Config& qi::ApplicationSession::Config::setListenUrls | ( | std::vector< Url > | listenUrls | ) |

Note
  Any previous listen URLs that were added in this configuration are discarded.

Config& qi::ApplicationSession::Config::setName | ( | const std::string & | name | ) |

Config& qi::ApplicationSession::Config::setOption | ( | ApplicationSession::Option | opt | ) |

Config& qi::ApplicationSession::Config::setSessionConfig | ( | SessionConfig | sessConfig | ) |

Config& qi::ApplicationSession::Config::setStandalone | ( | bool | standalone | ) |

bool qi::ApplicationSession::Config::standalone | ( |  | ) | const

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/applicationsession.hpp